#!/bin/bash
#
# DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE
#         Version 2, December 2004
#
# Copyright (C) 2004 Sam Hocevar <sam@hocevar.net>
#
# Everyone is permitted to copy and distribute verbatim or modified
# copies of this license document, and changing it is allowed as long
# as the name is changed.
#
# DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE
# TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
#
# 0. You just DO WHAT THE FUCK YOU WANT TO.
#
# Copyright © 2019 Manuel.Girardin@unil.ch, Centre informatique UNIL
# This work is free. You can redistribute it and/or modify it under the
# terms of the Do What The Fuck You Want To Public License, Version 2,
# as published by Sam Hocevar. See http://www.wtfpl.net/ for more details.
#
# PrintUNIL install on Linux
version=0.2

# check that install folder is present
SCRIPT_DIR="$(dirname "${0}")"

cd $SCRIPT_DIR

if [ -d "./PPDFiles" ]; then


	echo "Please type in your UNIL username"
	read username 

	echo "Installation of PrintUNIL printer"
	lpadmin -p PrintUNIL -E -v lpd://$username@printunil.unil.ch/printunil -P ./PPDFiles/CNADV6555IIIX1.PPD.gz -o sides=two-sided-long-edge -o media=A4 -o printer-error-policy=retry-current-job

	echo "Installation of PrintUNIL-Couleur printer"
	lpadmin -p PrintUNIL-Couleur -E -v lpd://$username@printunil.unil.ch/printunil-couleur -P ./PPDFiles/CNADVC7565IIIX1.PPD.gz -o sides=two-sided-long-edge -o media=A4 -o printer-error-policy=retry-current-job

	echo "Setting PrintUNIL as default printer"
	lpadmin -d "PrintUNIL"

	echo "Done."

else

	echo "PPDFiles folder is MISSING, exiting."
	exit 1

fi
